Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.installer
Class ServletContainerInstallationMode

    java.lang.Object
      org.wso2.wsas.installer.ServletContainerInstallationMode

All Implemented Interfaces:
  InstallationMode

    public class ServletContainerInstallationMode

extends java.lang.Object
implements InstallationMode

This class coordinates the WSAS installation on a servlet container

Constructor Summary
`ServletContainerInstallationMode()`

Method Summary
`void` | `doInstallation()` Carry out the installation
`java.lang.String` | `getDescription()` Get the description for this installation mode
`void` | `setEnvVariables(java.lang.String[] envVariables)`
`void` | `setWsasVersion(java.lang.String wsasVersion)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletContainerInstallationMode

    public ServletContainerInstallationMode()

Method Detail

### setWsasVersion

    public void setWsasVersion(java.lang.String wsasVersion)

### setEnvVariables

    public void setEnvVariables(java.lang.String[] envVariables)

### doInstallation

    public void doInstallation()

  Description copied from interface: `InstallationMode`
  Carry out the installation

  Specified by:
    `doInstallation` in interface `InstallationMode`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `InstallationMode`
  Get the description for this installation mode

  Specified by:
    `getDescription` in interface `InstallationMode`
  Returns:
    The description for this installation mode

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD